Subject: RE: bug#24594: 24.5; `variable-pitch-mode': accept FACE arg instead of hardcoding the face

From: Drew Adams <[email-masked]>
Date: Wed, 5 Oct 2016 08:51:21 -0700 (PDT)

> Why aren't the buffer-face-* commands sufficient?

Which part of this is unclear: "I'm OK with eliminating
`variable-pitch-mode' altogether.  I don't really see
the point of a version of `buffer-face-mode' that is
limited to one face."

That would be one "fix" for this bug report.  Remove it,
and remove face `variable-pitch'.

On the other hand, if you do NOT eliminate it, then the
problems with it are still there to be fixed.

1. Enhancement: command should work for any variable-pitch
face.

One way to do that, so that you can interactively specify
the face to use, was proposed: negative prefix arg prompts
for the face.

2. Enhancement: Fix face `variable-pitch' so that it really
limits customization of the attributes to variable-pitch
faces.  That is the only justification for a face name
that reflects particular attribute values: limit
customization for those values.

Again, the only reason to keep `variable-pitch-mode' and
face `variable-pitch' is if you feel that we really need
such things.  (I do not.)

But if you do, then they cry out to be fixed properly,
IMO.  IF they are so fixed, AND if it is true that a
variable-pitch specialization of the `buffer-face-*'
commands is useful (not my propos), THEN some Emacs
users will presumably benefit.

(I will not benefit, personally, since I do not use
such things.)